<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('suplier_prdtcs', function (Blueprint $table) {
            $table->increments('sup_id');
            $table->string('supname',200)->nullable();
            $table->integer('prdct_id')->default(0);
            $table->integer('added_by')->default(0);
            
            
            $table->timestamp('added_on')->nullable();
            $table->integer('status')->default(0);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('suplier_prdtcs');
    }
};
